#include <stdio.h>
#include <stdlib.h>
#include <string.h>

main()
{
	int t,n,m,i,nzs,r,k;
    char y[10^18],z[10^18];
	printf("Broj takmicara koji su se javili vracari: ");
	scanf("%d",&t);
	if(1<=t && t<=5)
	{
		for(i=0;i<t;i++)
		{
			printf("Broj godina u kojima su zalbe prihvacene i broj godina u kojima su zalbe odbijene: ");
			scanf("%d %d",&n,&m);
			
				fflush(stdin);
				printf("Godine u kojima su zalbe prihvacene: ");
      			fgets(y, sizeof y, stdin);
      			printf("Godine u kojima su zalbe odbijene: ");
      			fgets(z, sizeof z, stdin);
	    		
	    		r=y[1]-y[0];
	    		k=z[1]-z[0];
	    		
	    		for(i=1; i<=r && i<=k;++i)
   				{
       			if(r%i==0 && k%i==0)
       			{
            	nzs=i;
            	printf("1");
            	}
            	else printf("0");
    			}
	    	}
	}
	else printf("Broj takmicara mora biti od 1 do 5!");	
}